LFR-FSW - Task #737

étudier la nécessité de faire un soft reset lors de certains changements de mode
11/07/2016 11:35 AM - paul leroy
Description

History

#1 - 11/07/2016 11:50 AM - Alexis Jeandet

here is the code | use to drive the LFR's WFP.

WEP.c contains WFP registers config.

arlib_regs.h contains registers definition.

LFR.c contains LFR soft reset code.

main.c contains main loop synchronised with SocExplorer through volatile variables.

#2 - 26/04/2017 06:41 PM - paul leroy

- Assignee changed from paul leroy to Alexis Jeandet

Je ne sais pas si cette issue est toujours d'actualité. Le fonctinonement actuel fait des soft reset dans certains cas et pas dans d'autre. Le filtre v, ef,
e2 semble s'en satisfaire. Tu penses qu'il faut creauser?

#3 - 22/03/2021 12:08 PM - Alexis Jeandet
- Status changed from New to Stalled
https://hephaistos.lpp.polytechnique.fr/rhodecode/HG_REPOSITORIES/LPP/INSTRUMENTATION/USERS/JEANDET/LFR_OFFSET_ANALYSIS
https://hephaistos.lpp.polytechnique.fr/rhodecode/HG_REPOSITORIES/LPP/INSTRUMENTATION/USERS/JEANDET/LFR_OFFSET_ANALYSIS/files/8f345edb52a1e8f7ca613c396389b27ffb851925/wfp.c
https://hephaistos.lpp.polytechnique.fr/rhodecode/HG_REPOSITORIES/LPP/INSTRUMENTATION/USERS/JEANDET/LFR_OFFSET_ANALYSIS/files/8f345edb52a1e8f7ca613c396389b27ffb851925/grlib_regs.h
https://hephaistos.lpp.polytechnique.fr/rhodecode/HG_REPOSITORIES/LPP/INSTRUMENTATION/USERS/JEANDET/LFR_OFFSET_ANALYSIS/files/8f345edb52a1e8f7ca613c396389b27ffb851925/LFR.c
https://hephaistos.lpp.polytechnique.fr/rhodecode/HG_REPOSITORIES/LPP/INSTRUMENTATION/USERS/JEANDET/LFR_OFFSET_ANALYSIS/files/8f345edb52a1e8f7ca613c396389b27ffb851925/main.c
http://www.tcpdf.org

